/*
 * chatter.c
 *
 * - a simple secure chat-room application
 *		- GUI and textmode support
 */

#include "chatter.h"

int main(int argc, char** argv) {
	
	printf("Start....\n");

	// init the seal session
	seal_session_g = SEAL_init();

	// init the user interface
	ui_engine_g = UI_init(argc, argv);

	// Start the interface (block here)
	UI_start(ui_engine_g);			

	return 0;
}


/*
 * Convert guid to uid
 * Return 1 on success, 0 on failure
 */
int guid_to_uid(char const* guid, char* uid) {
    char* ptr_pound;

    // initialize uid
    memset(uid, 0, SEAL_UID_LEN);

    // remove the 1st '#' sign, and the trailing 2-digit timestamp values
    ptr_pound = strpbrk(guid + 1, "#");
    if (ptr_pound != NULL && ptr_pound - guid  > 3 &&
            ptr_pound - guid - 3 < SEAL_UID_LEN) {
        memcpy(uid, guid + 1, ptr_pound - guid - 3);
    } else {
        fprintf(stderr, "ERROR: Incorrect GUID\n");
        return 0;
    }
    return 1;
}


