/*
 * debug.c
 *
 * - Print out necessary information for the debug purpose. 
 * If debug_flag_g = 1, the debug function is enabled. 
 * Otherwise, it is disabled.
 *
 */
#include "seal.h"

/*
 * Print debugging messages for general usage.
 */
void debug(const char *fmt, ...) {
#ifdef DEBUG
	va_list ap;
	FILE* fp;
		
	fp = fopen("log.txt", "a");			// log to a file
	fprintf(fp, "DEBUG: ");
	va_start(ap, fmt);
	vfprintf(fp, fmt, ap);
	va_end(ap);
	fflush(fp);
	fclose(fp);
#endif
}

/*
 * Print debugging messages for unexpected errors
 */
void debug_err(const char *fmt, ...) {
#ifdef DEBUG
	va_list ap;
	
	fprintf(stderr, "ERR(DEBUG): ");	// print to stdout
	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	va_end(ap);
#endif
}
